*
{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family: monospace;
}
body
{
	background: url(bg.jpg);
	background-size: cover;
	background-attachment: fixed;
	background-position: center;
}
section
{
	display: flex;
	justify-content: center;
	align-items: center;
	min-height: 100vh;
	transform-style: preserve-3d;
}
.earth
{
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%,-50%);
	width: 300px;
	height: 300px;
	background:url(image.webp);
	background-size: cover;
	background-repeat: repeat-x; 
	border-radius: 50%;
	box-shadow: inset 0 0 20px rgba(0,0,0,1), 
	0 0 50px #4069ff;
	animation: animateEarth 15s linear infinite;
}
/* Respetar preferencias del usuario */
@media (prefers-reduced-motion: reduce) {
    .earth {
        animation: none;
    }
}
@keyframes animateEarth
{
	0%
	{
		background-position: 0 0;
	}
	100%
	{
		background-position: -750px 0;
	}
}
/*hasta aqui y comienza a girar el planeta tierra*/
.circle
{
	transform-style: preserve-3d;
	animation: animateText 10s linear infinite;
}
.circle span
{
	position: absolute;
	top: 0;
	left: 0;
	background: #fff;
	color: #C47D29;
	font-size: 3em;
	transform-origin: center;
	transform-style: preserve-3d;
	padding: 5px 5px;
	transform: rotateY(calc(var(--i) * calc(360deg / 32))) translateZ(200px);
	border-top: 2px solid #30E5B8;
	border-bottom: 4px solid #35146f;
	border-right: 3px solid #F7F8A2;
	border-left: 2px solid #70401E;
}
.circle span::before
{
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: #fff;
	transform: translateZ(-5px);
}
@keyframes animateText
{
	0%
	{
		transform: perspective(1000px) rotateY(360deg) rotateX(15deg) translateY(-30px);
	}
	100%
	{
		transform: perspective(1000px) rotateY(0deg) rotateX(15deg) translateY(-30px);
	}
}


/*Aqui comienza BAck Actual*/
.ba{
	position: fixed;
	right: 4px;
	bottom: 10px;
	width: 80px;
	z-index: 1000;
}

.ba img{
	width: 35%;
	height: auto;
}
/*Aqui termina Back Actual*/